package model

import "time"

type OrderGoods struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Oid          int64     `json:"oid" xorm:"default 0 comment('订单号') BIGINT(20)"`
	GoodsId      int64     `json:"goods_id" xorm:"default 0 comment('商品id') BIGINT(20)"`
	SkuId        int64     `json:"sku_id" xorm:"default 0 comment('sku') BIGINT(20)"`
	Num          int       `json:"num" xorm:"default 0 comment('购买数量') INT(11)"`
	Price        string    `json:"price" xorm:"default 0.00 comment('单价') DECIMAL(20,2)"`
	State        int       `json:"state" xorm:"default 0 comment('状态 0待制作 1制作中 2烘焙中 3分拣中 4已完成 ') INT(11)"`
	SkuCode      string    `json:"sku_code" xorm:"VARCHAR(255)"`
	GoodsTitle   string    `json:"goods_title" xorm:"comment('商品标题') VARCHAR(255)"`
	Sku          string    `json:"sku" xorm:"comment('规格数据') VARCHAR(1000)"`
	SuccessNum   int       `json:"success_num" xorm:"comment('完成数量') INT(11)"`
	Memo         string    `json:"memo" xorm:"comment('制作完成备注') VARCHAR(255)"`
	Time         time.Time `json:"time" xorm:"DATETIME"`
	AdminId      int       `json:"admin_id" xorm:"default 0 comment('admin 的id') INT(11)"`
	EnterpriseId int       `json:"enterprise_id" xorm:"default 0 comment('校企 的id') INT(11)"`
}
